MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025041Open CASCADE[OCCT] Website:Trackerpublic2014-07-01 08:592017-09-13 14:13
Reporteraiv 
Assigned Toisv 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0025041: Automation of update of Mantis issues when master is pushed
DescriptionProposed to automate the process of updating issues in MantisBT (Related Changesets) when Git master branch is updated (it is now performed manually through Mantis interface)

(issue created from 0023647 additional info)
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0023647closedbugmaster Provide automatic log of Git integrations in Mantis 

-  Notes
(0030454)
bugmaster (administrator)
2014-07-28 17:08

Dear Alexander,

1. I think that suggested by ABV option is very useful

2. In additional I would like to suggest to delete automatically branches for issues that have VERIFIED status.
2.1 We know what branches became with status VERIFIED after operation above.
2.2 Command below allows in cycle remove list branches with VERIFIED status
git push origin --delete $BranchName

- Issue History
Date Modified Username Field Change
2014-07-01 08:59 aiv New Issue
2014-07-01 08:59 aiv Assigned To => aiv
2014-07-01 09:00 aiv Relationship added related to 0023647
2014-07-28 17:08 bugmaster Note Added: 0030454
2017-08-01 17:50 apv Test case number => Not required
2017-09-13 14:13 aiv Assigned To aiv => isv


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker